/*
 * Created on Nov 18, 2005
 *
 */
package com.ibm.jps.architect.util;

import java.text.DateFormat;
import java.util.Date;
import java.util.Locale;

/**
 * @author jpschoch
 */
public class RSMUtil {

    /**
     * Given an input string of the type "com.company.project.AClass", getPath will return
     * "com.company.project" (or an empty string if the input string is "AClass").
     * 
     * @param name
     * @return
     */
    public static String getPath(String name) {
        int pos = name.lastIndexOf(".");
        if (pos > 0)
            return name.substring(0, pos);
        else
            return "";
    }

    public static String getPath(String name, char fileSeparator) {
        int pos = name.lastIndexOf(fileSeparator);
        if (pos > 0)
            return name.substring(0, pos);
        else
            return "";
    }

    /**
     * Given an input string of the type "com.company.project.AClass", getSimpleName will return
     * "AClass" (or the string itself if the input string is "AClass").
     * 
     * @param name
     * @return
     */
    public static String getSimpleName(String name) {
        int pos = name.lastIndexOf(".");
        if (pos > 0)
            return name.substring(pos + 1);
        else
            return name;
    }

    public static String getSimpleName(String name, char fileSeparator) {
        int pos = name.lastIndexOf(fileSeparator);
        if (pos > 0)
            return name.substring(pos + 1);
        else
            return name;
    }

    /**
     * @param name
     * @return
     */
    public static String firstCharToUpperCase(String name) {
        return name.substring(0, 1).toUpperCase() + name.substring(1);
    }

    /**
     * @param name
     * @return
     */
    public static String firstCharToLowerCase(String name) {
        return name.substring(0, 1).toLowerCase() + name.substring(1);
    }

    public static String getDate(Locale currentLocale) {
        Date today = new Date();
        DateFormat formatter = DateFormat.getDateTimeInstance(DateFormat.DEFAULT, DateFormat.DEFAULT, currentLocale);
        return formatter.format(today);
    }

    public static String replaceAllSubstrings(String inputString, String fromExp, String toExp) {
        if (fromExp.equals(inputString)) return toExp;
        int pos;
        int prev = 0;
        String res = "";
        do {
            pos = inputString.indexOf(fromExp, prev);
            if (pos == -1) {
                res = res + inputString.substring(prev);
            } else {
                if (pos > prev) res = res + inputString.substring(prev, pos);
                res = res + toExp;
            }
            prev = pos + fromExp.length();
        } while (pos >= 0);
        return res;
    }

}
