package com.ibm.jps.util;

import java.text.DateFormat;
import java.util.Date;
import java.util.Locale;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.console.ConsolePlugin;
import org.eclipse.ui.console.IConsole;
import org.eclipse.ui.console.IConsoleManager;
import org.eclipse.ui.console.MessageConsole;
import org.eclipse.ui.console.MessageConsoleStream;

import com.ibm.jps.architect.ArchitectPlugin;

public class ArchUtil {
	private static final String CONSOLE_ICON_PATH = ""; //$NON-NLS-1$
	private static final String KEY_CONSOLE_NAME = "consoleName"; //$NON-NLS-1$
	public static String getDate(Locale currentLocale) {
		Date today = new Date();
		DateFormat formatter = DateFormat.getDateTimeInstance(
				DateFormat.DEFAULT, DateFormat.DEFAULT, currentLocale);
		return formatter.format(today);
	}
	public static MessageConsoleStream showConsole() {
		ImageDescriptor imageDesc = ArchitectPlugin.imageDescriptorFromPlugin(
				ArchitectPlugin.getDefault().getBundle().getSymbolicName(),
				CONSOLE_ICON_PATH);
		MessageConsole console = new MessageConsole(ArchitectPlugin
				.getResourceString(KEY_CONSOLE_NAME), imageDesc);
		IConsoleManager conMgr = ConsolePlugin.getDefault().getConsoleManager();
		conMgr.addConsoles(new IConsole[] { console });
		conMgr.showConsoleView(console);
		return console.newMessageStream();
	}
}
